Get invoice
curl --request GET \
--url https://proxies.vision/api/payments/invoice/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://proxies.vision/api/payments/invoice/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://proxies.vision/api/payments/invoice/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ref": "Q3TW8HZK",
"status": "confirmed",
"order_type": "balance_topup",
"amount_usd": 25
}Billing
Get invoice
Whether an invoice is paid: waiting, confirmed or expired.
Permission: read
GET
/
api
/
payments
/
invoice
/
{ref}
Get invoice
curl --request GET \
--url https://proxies.vision/api/payments/invoice/{ref} \
--header 'Authorization: Bearer <token>'import requests
url = "https://proxies.vision/api/payments/invoice/{ref}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://proxies.vision/api/payments/invoice/{ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ref": "Q3TW8HZK",
"status": "confirmed",
"order_type": "balance_topup",
"amount_usd": 25
}
